{
    "$graph": [
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#scatter-valueFrom-tool.cwl/message"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#scatter-valueFrom-tool.cwl/scattered_message"
                }
            ],
            "baseCommand": "echo",
            "id": "#scatter-valueFrom-tool.cwl",
            "stdout": "ff14cbbd9a3dc151ec7418bf732fc6ed053d6f12",
            "outputs": [
                {
                    "type": "File",
                    "id": "#scatter-valueFrom-tool.cwl/out_message",
                    "outputBinding": {
                        "glob": "ff14cbbd9a3dc151ec7418bf732fc6ed053d6f12"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/scattered_messages"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/step1/out_message",
                    "id": "#main/out_message"
                }
            ],
            "steps": [
                {
                    "run": "#scatter-valueFrom-tool.cwl",
                    "scatter": [
                        "#main/step1/scattered_message"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "valueFrom": "Hello",
                            "id": "#main/step1/message"
                        },
                        {
                            "source": "#main/scattered_messages",
                            "id": "#main/step1/scattered_message"
                        }
                    ],
                    "out": [
                        "#main/step1/out_message"
                    ],
                    "id": "#main/step1"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
